const settings = window.wc.wcSettings.getSetting('preordergateway-approve-orders', {});
const label = window.wp.htmlEntities.decodeEntities(settings.title) || window.wp.i18n.__('Pre Order', 'approve-orders');
const Content = () => {
    return window.wp.htmlEntities.decodeEntities(settings.description || window.wp.i18n.__('Place an order without making a payment. Payment will be processed later.', 'approve-ordes'));
};
const AOFWC_Gateway = {
    name: 'preordergateway-approve-orders',
    label: label,
    content: Object(window.wp.element.createElement)(Content, null),
    edit: Object(window.wp.element.createElement)(Content, null),
    canMakePayment: () => true,
    ariaLabel: label,
    supports: {
        features: settings.supports,
    },
};

window.wc.wcBlocksRegistry.registerPaymentMethod(AOFWC_Gateway);